<template>
	<div class="main" v-if="userStore.isPcorH">
		<div class="allwidth">
			<div style="width: 100%" data-aos="fade-up">
				<div class="all_title">{{ t("technology.title") }}</div>
			</div>
			<div
				class="cardlist"
				v-for="(item, index) in cardlist"
				:key="index">
				<p
					data-aos="fade-up"
					class="font-size18 center SourceHanSansCN-Medium margin-top58">
					{{ item.title }}
				</p>
				<el-image
					data-aos="flip-down"
					:src="item.img"
					fit="cover"
					style="
						width: 100%;
						height: auto;
						margin-top: 12px;
					"></el-image>
				<div
					data-aos="fade-up"
					class="marginauto margin-top60 line-hei color666 line-height24 center">
					{{ item.content }}
				</div>
			</div>
			<!--  -->
			<div class="topxian margin-top60"></div>
			<p
				data-aos="fade-up"
				class="font-size18 center SourceHanSansCN-Medium margin-top12">
				{{ t("technology.patents") }}
			</p>
			<div class="aboutcards flex">
				<el-image
					data-aos="flip-left"
					class="cards"
					v-for="(item, index) in userinfo.known"
					:key="index"
					:src="item.url"
					fit="cover"
					alt="" />
			</div>
		</div>
	</div>
	<div class="mainh5" v-else>
		<div>
			<div style="width: 100%" data-aos="fade-up">
				<div class="all_titleh5">{{ t("technology.title") }}</div>
			</div>
			<div
				class="cardlist"
				v-for="(item, index) in cardlist"
				:key="index">
				<p
					data-aos="fade-up"
					class="cardlisttitle center SourceHanSansCN-Medium 8">
					{{ item.title }}
				</p>
				<el-image
					data-aos="flip-down"
					:src="item.img"
					fit="cover"
					style="
						width: 100%;
						height: auto;
						margin-top: 12px;
					"></el-image>
				<div class="cardinfo marginauto color666" data-aos="fade-up">
					{{ item.content }}
				</div>
			</div>
			<!--  -->
			<div class="topxian margin-top30"></div>
			<p class="zlititle center SourceHanSansCN-Medium margin-top12">
				{{ t("technology.patents") }}
			</p>
			<div class="aboutcards flex">
				<el-image
					data-aos="flip-down"
					class="cards"
					v-for="(item, index) in userinfo.known"
					:key="index"
					:src="item.url"
					fit="cover"
					alt="" />
			</div>
		</div>
	</div>
</template>
<script setup>
import { useI18n } from "vue-i18n";
const { t } = useI18n();
import { ref } from "vue";
import { resolvePath } from "@/utils/index.js";
import useUserStore from "~/store/index";
const userStore = useUserStore();
const userinfo = computed(() => {
	return userStore.info;
});
const cardlist = ref([
	{
		img: resolvePath("static/images/technology/list1.png"),
		title: computed(() => t("technology.listtitle1")),
		content: computed(() => t("technology.list1content1")),
	},
	{
		img: resolvePath("static/images/technology/list2.png"),
		title: computed(() => t("technology.listtitle2")),
		content: computed(() => t("technology.list1content2")),
	},
	{
		img: resolvePath("static/images/technology/list3.png"),
		title: computed(() => t("technology.listtitle3")),
		content: computed(() => t("technology.list1content3")),
	},
	{
		img: resolvePath("static/images/technology/list4.png"),
		title: computed(() => t("technology.listtitle4")),
		content: computed(() => t("technology.list1content4")),
	},
]);
const active = ref(1);
const tab = ref([
	{
		title: "技术专利",
		value: 1,
	},
	{
		title: "官方备案",
		value: 2,
	},
]);
const list = ref([
	{
		img: resolvePath("static/images/technology/zli1.png"),
	},
	{
		img: resolvePath("static/images/technology/zli1.png"),
	},
	{
		img: resolvePath("static/images/technology/zli1.png"),
	},
	{
		img: resolvePath("static/images/technology/zli1.png"),
	},
	{
		img: resolvePath("static/images/technology/zli1.png"),
	},
]);
</script>

<style lang="scss" scoped>
.main {
	padding-top: 39px;
	margin-bottom: 60px;
	.tab {
		display: flex;
		font-size: 18px;
		gap: 73px;
		justify-content: center;
	}
	.activetab {
		color: #46bfe5;
	}
	.aboutcards {
		margin-top: 12px;

		width: 100%;
		display: grid;
		grid-template-columns: repeat(4, 1fr);
		gap: 13px;
		.cards {
			height: 409px;
			width: 100%;
		}
	}
}
.mainh5 {
	width: 100%;
	padding: 0 15px;
	padding-top: 29px;
	.cardlist {
		.cardlisttitle {
			margin-top: 14px;
			font-size: 0.32rem;
		}
		.cardinfo {
			font-size: 0.28rem;
			margin-top: 15px;
		}
	}
	.aboutcards {
		margin-top: 12px;
		margin-bottom: 30px;
		width: 100%;
		display: grid;
		grid-template-columns: repeat(2, 1fr);
		gap: 12px;
		.cards {
			// height: 409px;
			width: 100%;
			aspect-ratio: 0.7;
		}
	}
	.zlititle {
		font-size: 0.32rem;
		margin-top: 15px;
	}
}
</style>
